Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Exception Class Reference

ACEXML_Exception. More...

`#include "ACEXML/common/Exception.h"`

Inheritance diagram for ACEXML_Exception:

[legend]
List of all members.

## Public Methods
| ACEXML_Exception (void)
| Default contructor. More...
| ACEXML_Exception (const ACEXML_Exception &ex)
| Copu constructor. More...
virtual | ~ACEXML_Exception (void)
| Destructor. More...
virtual const ACEXML_Char * | id (void)
| Return the exception type. (for safe downcast.). More...
virtual ACEXML_Exception * | duplicate (void)=0
| Dynamically create a copy of this exception. More...
virtual int | is_a (const ACEXML_Char *name)=0
| Check whether this is an exception of type specify by <name>. More...
virtual void | print (void)=0
| Print out exception using ACE_DEBUG. More...
## Static Public Methods
const ACEXML_Char * | name (void)
| Accessor for the exception name. More...
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_Exception_name
| All exceptions have names. This name is used to identify the type of an exception. More...
const ACEXML_Char * | null_ = ACEXML_Exception_null
| A null string that we return when there's no exception occurred. More...

## Detailed Description

ACEXML_Exception.

ACEXML_Exception is the base class for all ACEXML related exceptions. Since ACEXML currently does not support native exceptions, all exceptions should be thrown thru ACEXML_Env.

See also:
  ACEXML_Env

## Constructor & Destructor Documentation

ACEXML_Exception::ACEXML_Exception | ( | void |  | ) |

| Default contructor.

ACEXML_Exception::ACEXML_Exception | ( | const ACEXML_Exception & | ex | ) |

| Copu constructor.

ACEXML_Exception::~ACEXML_Exception | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual ACEXML_Exception* ACEXML_Exception::duplicate | ( | void |  | ) | `[pure virtual]`

| Dynamically create a copy of this exception. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

const ACEXML_Char * ACEXML_Exception::id | ( | void |  | ) | `[virtual]`

| Return the exception type. (for safe downcast.). Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

int ACEXML_Exception::is_a | ( | const ACEXML_Char * | name | ) | `[pure virtual]`

| Check whether this is an exception of type specify by <name>. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE const ACEXML_Char * ACEXML_Exception::name | ( | void |  | ) | `[static]`

| Accessor for the exception name. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

void ACEXML_Exception::print | ( | void |  | ) | `[pure virtual]`

| Print out exception using ACE_DEBUG. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

## Member Data Documentation

const ACEXML_Char * ACEXML_Exception::exception_name_ = ACEXML_Exception_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

const ACEXML_Char * ACEXML_Exception::null_ = ACEXML_Exception_null`[static, protected]`

| A null string that we return when there's no exception occurred.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i